astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- World Coordinate System (`astropy.wcs`) »
- WCSBase

# WCSBase

class `astropy.wcs.``WCSBase`

  Bases: `object`

  Wcs objects amalgamate basic WCS (as provided by wcslib), with SIP and distortion paper operations.

  To perform all distortion corrections and WCS transformation, use `all_pix2world`.

  Parameters:

  sip : `Sip` object or `None`

  cpdis : A pair of `DistortionLookupTable` objects, or

  > `(None, None)`.

  wcsprm : `Wcsprm` object

  det2im : A pair of `DistortionLookupTable` objects, or

  > `(None, None)`.

  Attributes Summary

  `cpdis1` | `DistortionLookupTable`
  `cpdis2` | `DistortionLookupTable`
  `det2im1` | A `DistortionLookupTable` object for detector to image plane correction in the x-axis.
  `det2im2` | A `DistortionLookupTable` object for detector to image plane correction in the y-axis.
  `sip` | Get/set the `Sip` object for performing SIP distortion correction.
  `wcs` | A `Wcsprm` object to perform the basic wcslib WCS transformation.

  Attributes Documentation

  `cpdis1`

    `DistortionLookupTable`

    The pre-linear transformation distortion lookup table, `CPDIS1`.

  `cpdis2`

    `DistortionLookupTable`

    The pre-linear transformation distortion lookup table, `CPDIS2`.

  `det2im1`

    A `DistortionLookupTable` object for detector to image plane correction in the x-axis.

  `det2im2`

    A `DistortionLookupTable` object for detector to image plane correction in the y-axis.

  `sip`

    Get/set the `Sip` object for performing SIP distortion correction.

  `wcs`

    A `Wcsprm` object to perform the basic wcslib WCS transformation.